

jQuery(document).ready(function ($) {

  // Back to top button
  $(window).scroll(function () {
    if ($(this).scrollTop() > 100) {
      $('.back-to-top').fadeIn('slow');
    } else {
      $('.back-to-top').fadeOut('slow');
    }
  });
  $('.back-to-top').click(function () {
    $('html, body').animate({
      scrollTop: 0
    }, 1500, 'easeInOutExpo');
    return false;
  });

  // Stick the header at top on scroll
  $("#header").sticky({
    topSpacing: 0,
    zIndex: '50'
  });

  // Intro background carousel
  $("#intro-carousel").owlCarousel({
    autoplay: true,
    dots: false,
    loop: true,
    animateOut: 'fadeOut',
    items: 1
  });

  // Initiate the wowjs animation library
  //new WOW().init();

  // Initiate superfish on nav menu
  $('.nav-menu').superfish({
    animation: {
      opacity: 'show'
    },
    speed: 400
  });





  // // Porfolio - uses the magnific popup jQuery plugin
  // $('.portfolio-popup').magnificPopup({
    // type: 'image',
    // removalDelay: 300,
    // mainClass: 'mfp-fade',
    // gallery: {
      // enabled: true
    // },
    // zoom: {
      // enabled: true,
      // duration: 300,
      // easing: 'ease-in-out',
      // opener: function (openerElement) {
        // return openerElement.is('img') ? openerElement : openerElement.find('img');
      // }
    // }
  // });

  // // Testimonials carousel (uses the Owl Carousel library)
  // $(".testimonials-carousel").owlCarousel({
    // autoplay: true,
    // dots: true,
    // loop: true,
    // responsive: {
      // 0: {
        // items: 1
      // },
      // 768: {
        // items: 2
      // },
      // 900: {
        // items: 3
      // }
    // }
  // });

  // // Clients carousel (uses the Owl Carousel library)
  // $(".clients-carousel").owlCarousel({
    // autoplay: true,
    // dots: true,
    // loop: true,
    // responsive: {
      // 0: {
        // items: 2
      // },
      // 768: {
        // items: 4
      // },
      // 900: {
        // items: 6
      // }
    // }
  // });


});
